Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons.metaclass
[Java] Class AbstractStaticMethodInvocation

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation

All Implemented Interfaces:
  StaticMethodInvocation

    public abstract class AbstractStaticMethodInvocation
    extends java.lang.Object

Authors:
  Steven Devijver

Method Summary
`protected java.util.regex.Pattern` | `getPattern()`
`java.lang.Object` | `invoke(java.lang.Class clazz, java.lang.String methodName, java.lang.Object[] arguments)`
`boolean` | `isMethodMatch(java.lang.String methodName)`
`void` | `setPattern(java.util.regex.Pattern pattern)`
`void` | `setPattern(java.lang.String methodPattern)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getPattern

    protected java.util.regex.Pattern getPattern()

### invoke

    @java.lang.SuppressWarnings("rawtypes")
    public java.lang.Object invoke(java.lang.Class clazz, java.lang.String methodName, java.lang.Object[] arguments)

### isMethodMatch

    public boolean isMethodMatch(java.lang.String methodName)

### setPattern

    public void setPattern(java.util.regex.Pattern pattern)

### setPattern

    public void setPattern(java.lang.String methodPattern)

### toString

    @java.lang.Override
    public java.lang.String toString()

Groovy Documentation